package com.wd.workoffice.app;


import com.wd.workoffice.util.WorkUtils;

import flexible.xd.android_base.base.BaseFragment;
import flexible.xd.android_base.mvpBase.IBaseView;
import me.jessyan.autosize.AutoSize;

/**
 * Created by flexible on 2018/6/6.
 */

public abstract class WorkBaseFg extends BaseFragment  implements IBaseView {

    @Override
    public void onResume() {
        super.onResume();
        AutoSize.autoConvertDensity(getActivity(), 375, true);
        WorkUtils.addPermissionRule(getActivity().getWindow().getDecorView());
    }
    @Override
    public void showLoading() {
        isLoad(true);
    }

    @Override
    public void hideLoading() {
        isLoad(false);
    }

    @Override
    public void onError(String message) {
        toast(message);
    }
}
